%!octave 
%
%    Hamming ANN based classifier
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 

function retval=ann_training(X),
   % количество учебных образов
   m=size(X,1);

   % веса для нейронов первого слоя
   w=X*0.5 ;

   % коэффициент торможения
   c=1.0/(2.0*m) ;

   % веса для нейронов второго слоя
   w1=eye(m) - not(eye(m))*c   ;

   retval={w,w1};
endfunction 

