#!/bin/sh
#
# $Id: run.sh,v 1.2 2014/05/26 08:59:41 mechanoid Exp mechanoid $


TRANING="data/30x30-123/training/";
TEST="data/30x30-123/test/3/";

#TRANING="data/30x30-abc/training/";
#TEST="data/30x30-abc/test/1/";

# TEST=$TRANING;

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  



RESULT='result'

rm -vfr $RESULT REPORT.html
mkdir -p $RESULT

octave --silent --no-gui main.m "$TRANING" "$TEST"  2> $RESULT/err.txt


exec 1>$RESULT/REPORT.html

echo '<!doctype html>' 
echo '<html><head><meta charset="utf-8"/><style> img { border: 1px solid #00f; } hr { border:1px solid #000;} table {width:700px;} td:first-child { color:#f00; text-align:right; } td { text-align:center; } </style> </head><body>' 
echo '<h1>Классификатор на основе сети Хемминга</h1>' 

echo '<table><tr><td>учебный набор:</td>' 

i=0;
for f in $TRANING/*.bmp; do
   echo "<td><img src='../$f'/></td>"
   img[$i]=$f
   i=`expr $i + 1`
done

echo '</tr></table><hr/><p/>'
echo '<table><tr><td>тестовый набор:</td>'

for f in $TEST/*.bmp; do
   echo "<td><img src='../$f'/></td>" 
done

echo '</tr><tr><td>результат работы:</td>'

res=`cat "$RESULT/y.txt"`
for r in $res; do
   rr=`echo ${r} | sed -e 's/[eE]+*/\\*10\\^/'`
   i=`echo "$rr - 1 " | bc | sed 's/\.0.*//g'`
   f=${img[$i]}
   echo "<td><img src='../$f'/></td>"
done

echo '</tr></table></body></html>'
