%!octave 
%
%    Hamming ANN based associative memory demo
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: ann_test.m,v 1.2 2014/05/26 08:59:33 mechanoid Exp mechanoid $


function retval=ann_test(X,w),
   m=size(X,1);

   for i=1:m,
      % загрузить образ
	  xi=X(i,:) ;
	  % вычисляем выход сети
	  y=ann_run(xi,w);
      % сохраняем результат 
	  [v j]=max(y);
	  r(end+1)=j;
   endfor
   retval=r;

endfunction

