%!octave 
%
%    Hamming ANN demo
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main.m,v 1.2 2014/05/26 08:59:33 mechanoid Exp mechanoid $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
if nargin ~=2, quit; endif
TRANING_SET=argv(){1} 
TEST_SET=argv(){2}
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  



% загружаем учебный набор 
printf("загружаем учебный набор\n"); 
gb=1 ; % порог яркости для grayscale [1:255]
[ X s fl ]=data_load(TRANING_SET,gb) ;
 
% обучаем 
printf("обучаем\n"); 
w=ann_training(X) ;
 
printf("сохраняем результат \n"); 
save("-text","result/w.txt","w") ;


% тестируем
printf("загружаем тестовый набор\n"); 
gb=1 ; % порог яркости для grayscale [1:255]
[ X s fl ]=data_load(TEST_SET,gb) ;
printf("выполняем \n"); 
y=ann_test(X,w)' ;

printf("сохраняем результат \n"); 
save("-ascii","result/y.txt","y") ;


